/*
Welcome to...

        `hmy+.               ://:
       .mMMMMMNho:`          NMMm
      :NMMMMMMMMMMMds/.`     NMMm            :ss:
     +NMMMMMMMMMMMMMMMMmy+   NMMm           -MMMM-   ---
   `oMMMMMMMMMMMMMMMMMMMMo   NMMm            /ss/   :MMM+
  `yMMMMMMMMNshmNMMMMMMMN`   NMMm                   /MMM+
 .dMMMMMMMMm/hmhssydmMMM+    NMMm    `/yhhy. shhy ohmMMMmhhhh.  ./ydmmmdho-
 omMMMMMMMd/mMMMMMmhsosy`    NMMm  .omMMmo.  mMMN odmMMMmdddd. omMNdsoshNMNy`
  .+dMMMMy/mMMMMMMMMMMm-     NMMm-yNMMh/`    mMMN   /MMM+     sMMN:`   `:NMMy
    `-ymo/NMMMMMMMMMMMd      NMMMNMMN/       mMMN   :MMM+     MMMNdddddddNMMN
       ``hMMMMMMMMMMMM:      NMMm+mMMNs.     mMMN   :MMM+     MMMh//////////:
         `:yNMMMMMMMMh       NMMm `/dMMNy-   mMMN   :MMM+  `. sMMNo`    `-:
            .+mMMMMMM-       NMMm   `/dMMNy- mMMN   .MMMNddNN/ +NMMNdhydNNMs
              `:yMMMy        yhhs     `/hhhh shhs    :ymmmdho:  `/sdmmmmhs/`
                 `om.
*/

/*  Kite is your programming copilot. Kite will try to show you the right
    information at the right time as you code to prevent you from context
    switching out of your current line of thought.

    This tutorial will teach you how to use all of Kite's core features. You
    should be able to learn everything in 5 minutes.

    If you get stuck at any point, please visit https://help.kite.com/ or file
    an issue at https://github.com/kiteco/issue-tracker.
*/


/*  JAVASCRIPT TUTORIAL ========================================================

    Not writing Javascript? Open tutorials for other languages by running the
    following commands from the command palette:

    * For Python, run       "Kite: Python Tutorial"
    * For Go, run           "Kite: Go Tutorial"
*/


/*  BEFORE WE START ============================================================

    Kite's Atom package will by default try to start the Kite backend when the
    editor first starts. You can change this behavior by opening the Kite
    package's settings, and changing "Start Kite Engine on startup".

    Look for the Kite icon in the bottom right corner of Atom's status bar —
    It will tell you if Kite is ready and working. If the indicator is red,
    then you'll have to start the Kite Engine manually before proceeding with
    the rest of this tutorial.
*/


/*  CODE COMPLETIONS ===========================================================

    Kite analyzes your code and uses machine learning to show you completions
    for what you're going to type next.

    If you have your editor configured to show autocompletions, then Kite will
    show you completions automatically as you type.

    If you don't have autocompletions on, you can press ctrl+space to request
    completions at any time.

    You can toggle autocompletions in the editor settings under "Packages" →
    "autocomplete-plus", and changing "Show Suggestions On Keystroke".

    Look for Kite's icon on the left-hand side to see which completions are
    coming from Kite.

    If you have other 3rd party packages which provide completions, your
    experience with Kite may not be ideal because these packages may conflict
    with Kite's behavior. We suggest temporarily disabling completions from other
    packages while you try out Kite. You won't be disappointed!


    TRY IT =====================================================================

    Let's write out an import statement for React.

    • Put your cursor at the end of the line marked with "<--".
    • Type "R" here for completions to help you finish this import statement:

    import React, { Component } from 'react';
*/


import     // <-- type a space and "R"


/*
    Kite's Line-of-Code completions can predict multiple words ahead of what
    you're going to type next. They show up after a space as well, without
    you typing anything.
*/


/*  CODE COMPLETIONS ON DEMAND =================================================

    Remember that you can use the keyboard shortcut "ctrl+space" at any time to
    request code completions.


    TRY IT =====================================================================

    Let's declare a class "Button" that extends "Component"

    • Put your cursor at the end of the line marked with "<--".
    • Press ctrl+space to request code completions.
    • Look for the completion with a line break icon. Text after this icon is
    inserted on the line below.

    Start off your class like this:

    class Button extends Component {
      render()
    }
*/

class Button extends C     // <-- press ctrl+space after "C"


/*
    Kite's Multi-line completions recognize that a line break is suitable and
    starts writing your next line of code.
*/


/*  That's it!

    Now you know how to use Kite's completions to boost your productivity. You
    can access this tutorial at any time by running the command
    "Kite: Javascript Tutorial" from the command palette.

    You can learn more about Kite's Atom package at its GitHub repo:

    https://github.com/kiteco/atom-plugin


    ____________________________________________________________________________

    Kite is under active development. You can expect its features to become
    smarter and more featured over time.

    We love hearing from you! Vist https://github.com/kiteco/issue-tracker at
    any time to report issues or submit feature requests.
*/
