package python

var (
	// BuiltinPackage is the name of the builtin package
	BuiltinPackage = "builtins"
	// Builtins is a list of all builtins in python
	Builtins = map[string]struct{}{
		"__debug__":                 struct{}{},
		"__doc__":                   struct{}{},
		"__import__":                struct{}{},
		"__name__":                  struct{}{},
		"__package__":               struct{}{},
		"ArithmeticError":           struct{}{},
		"AssertionError":            struct{}{},
		"AttributeError":            struct{}{},
		"BaseException":             struct{}{},
		"BufferError":               struct{}{},
		"BytesWarning":              struct{}{},
		"DeprecationWarning":        struct{}{},
		"EOFError":                  struct{}{},
		"Ellipsis":                  struct{}{},
		"EnvironmentError":          struct{}{},
		"Exception":                 struct{}{},
		"False":                     struct{}{},
		"FloatingPointError":        struct{}{},
		"FutureWarning":             struct{}{},
		"GeneratorExit":             struct{}{},
		"IOError":                   struct{}{},
		"ImportError":               struct{}{},
		"ImportWarning":             struct{}{},
		"IndentationError":          struct{}{},
		"IndexError":                struct{}{},
		"KeyError":                  struct{}{},
		"KeyboardInterrupt":         struct{}{},
		"LookupError":               struct{}{},
		"MemoryError":               struct{}{},
		"NameError":                 struct{}{},
		"None":                      struct{}{},
		"NotImplemented":            struct{}{},
		"NotImplementedError":       struct{}{},
		"OSError":                   struct{}{},
		"OverflowError":             struct{}{},
		"PendingDeprecationWarning": struct{}{},
		"ReferenceError":            struct{}{},
		"RuntimeError":              struct{}{},
		"RuntimeWarning":            struct{}{},
		"StopIteration":             struct{}{},
		"SyntaxError":               struct{}{},
		"SyntaxWarning":             struct{}{},
		"SystemError":               struct{}{},
		"SystemExit":                struct{}{},
		"TabError":                  struct{}{},
		"True":                      struct{}{},
		"TypeError":                 struct{}{},
		"UnboundLocalError":         struct{}{},
		"UnicodeDecodeError":        struct{}{},
		"UnicodeEncodeError":        struct{}{},
		"UnicodeError":              struct{}{},
		"UnicodeTranslateError":     struct{}{},
		"UnicodeWarning":            struct{}{},
		"UserWarning":               struct{}{},
		"ValueError":                struct{}{},
		"Warning":                   struct{}{},
		"ZeroDivisionError":         struct{}{},
		"abs":                       struct{}{},
		"all":                       struct{}{},
		"any":                       struct{}{},
		"bin":                       struct{}{},
		"bool":                      struct{}{},
		"bytearray":                 struct{}{},
		"bytes":                     struct{}{},
		"callable":                  struct{}{},
		"chr":                       struct{}{},
		"classmethod":               struct{}{},
		"compile":                   struct{}{},
		"complex":                   struct{}{},
		"copyright":                 struct{}{},
		"credits":                   struct{}{},
		"delattr":                   struct{}{},
		"dict":                      struct{}{},
		"dir":                       struct{}{},
		"divmod":                    struct{}{},
		"enumerate":                 struct{}{},
		"eval":                      struct{}{},
		"filter":                    struct{}{},
		"float":                     struct{}{},
		"format":                    struct{}{},
		"frozenset":                 struct{}{},
		"getattr":                   struct{}{},
		"globals":                   struct{}{},
		"hasattr":                   struct{}{},
		"hash":                      struct{}{},
		"help":                      struct{}{},
		"hex":                       struct{}{},
		"id":                        struct{}{},
		"input":                     struct{}{},
		"int":                       struct{}{},
		"isinstance":                struct{}{},
		"issubclass":                struct{}{},
		"iter":                      struct{}{},
		"len":                       struct{}{},
		"license":                   struct{}{},
		"list":                      struct{}{},
		"locals":                    struct{}{},
		"map":                       struct{}{},
		"max":                       struct{}{},
		"memoryview":                struct{}{},
		"min":                       struct{}{},
		"next":                      struct{}{},
		"object":                    struct{}{},
		"oct":                       struct{}{},
		"open":                      struct{}{},
		"ord":                       struct{}{},
		"pow":                       struct{}{},
		"print":                     struct{}{},
		"property":                  struct{}{},
		"range":                     struct{}{},
		"repr":                      struct{}{},
		"reversed":                  struct{}{},
		"round":                     struct{}{},
		"set":                       struct{}{},
		"setattr":                   struct{}{},
		"slice":                     struct{}{},
		"sorted":                    struct{}{},
		"staticmethod":              struct{}{},
		"str":                       struct{}{},
		"sum":                       struct{}{},
		"super":                     struct{}{},
		"tuple":                     struct{}{},
		"type":                      struct{}{},
		"vars":                      struct{}{},
		"zip":                       struct{}{},
	}
)
