package pythonast

// NodeList a list of all the nodes that can appear in an ast
// this is useful for ml features that need to use
// this list to e.g map nodes to a class
var NodeList = []Node{
	&AnnotationStmt{},
	&ArgsParameter{},
	&Argument{},
	&AssertStmt{},
	&AssignStmt{},
	&AttributeExpr{},
	&AugAssignStmt{},
	&AwaitExpr{},
	&BadExpr{},
	&BadStmt{},
	&BinaryExpr{},
	&Branch{},
	&BreakStmt{},
	&CallExpr{},
	&ClassDefStmt{},
	&ComprehensionExpr{},
	&ContinueStmt{},
	&DelStmt{},
	&DictComprehensionExpr{},
	&DictExpr{},
	&DottedAsName{},
	&DottedExpr{},
	&EllipsisExpr{},
	&ExceptClause{},
	&ExecStmt{},
	&ExprStmt{},
	&ForStmt{},
	&FunctionDefStmt{},
	&Generator{},
	&GlobalStmt{},
	&IfExpr{},
	&IfStmt{},
	&ImportAsName{},
	&ImportFromStmt{},
	&ImportNameStmt{},
	&IndexExpr{},
	&IndexSubscript{},
	&KeyValuePair{},
	&LambdaExpr{},
	&ListComprehensionExpr{},
	&ListExpr{},
	&Module{},
	&NameExpr{},
	&NonLocalStmt{},
	&NumberExpr{},
	&Parameter{},
	&PassStmt{},
	&PrintStmt{},
	&RaiseStmt{},
	&ReprExpr{},
	&ReturnStmt{},
	&SetComprehensionExpr{},
	&SetExpr{},
	&SliceSubscript{},
	&StringExpr{},
	&TryStmt{},
	&TupleExpr{},
	&UnaryExpr{},
	&WhileStmt{},
	&WithItem{},
	&WithStmt{},
	&YieldExpr{},
	&YieldStmt{},
}
