package pythoncode

import (
	"github.com/kiteco/kiteco/kite-go/lang/python/pythonimports"
	"github.com/kiteco/kiteco/kite-go/lang/python/pythonresource/keytypes"
)

// EMType represents a return type generated by EM model
type EMType struct {
	Dist keytypes.Distribution    `json:"dist"`
	Sym  pythonimports.DottedPath `json:"sym"`
	Prob float64                  `json:"prob"`
}

// EMReturnTypes is a collection of predicted EM types for some function, along with the dist
type EMReturnTypes struct {
	Func        pythonimports.DottedPath `json:"func"`
	Dist        keytypes.Distribution    `json:"dist"`
	ReturnTypes []EMType                 `json:"types"`
}
