pythonresource/cmd/build
========================

This directory contains various data transformation binaries used to generate resource data.

### `rawgraph`

`rawgraph` consumes JSON output generated by `pkgexploration`
(`python-import-exploration`), does consistency/validation checks, and writes
the validated exploration graph in the same format to disk.  This should be run
first, and many other binaries consume the validated graph as input.

### `distidx`

`distidx` consumes validated exploration graphs (produced by `rawgraph`) and builds
a global index mapping top-level importable packages to the corresponding pip
distribution. The resulting index lives in `pythonresource/index.json`, which
is bundled into the appropriate binaries binaries with `go-bindata`:

`go generate github.com/kiteco/kiteco/kite-go/lang/python/pythonresource/internal/distidx`

### `compat`

`compat` loads the legacy import graph along with the symbol graphs & distribution
index, and generates a reverse index mapping import graph canonical names to valid
symbols. The mapping is used at runtime for backwards-compatibility to transform an
import graph node into a symbol. The resulting mapping lives both at
`s3://kite-resource-manager/python/<DATE>.compat.json.gz` and in
`pythonresource/testdata/compat.json.gz` (for testing).

### `symgraphs`, `symtypes`, `argspecs`

All of these consume validated pkgexploration graphs (produced by `rawgraph`) and
builds the the corresponding resource data files & manifests. The resulting
data should be copied to s3 and the manifest merged into the global
`pythonresource/manifest.json`; this can be done easily using the
`pythonresource/cmd/manifest` utility.

### `docs`, `sigpatterns`

These load the legacy documentation & sigpattern data (associated with the
legacy import graph), and use the `compat` mapping to reshard that data based
on the new symbol graph, generating resource data files & manifests.

### `typeshed`

`typeshed` consumes a checked out copy of `git@github.com:python/typeshed.git`,
parses & collects argspecs, and shards based on the default symbol graph.
