package text

// IsKeyword ...
func IsKeyword(keyword string) bool {
	return keywords[keyword]
}

var keywords = map[string]bool{
	`!`:             true,
	`!=`:            true,
	`!==`:           true,
	`!~`:            true,
	`"`:             true,
	`""`:            true,
	`#`:             true,
	`#define`:       true,
	`#elif`:         true,
	`#else`:         true,
	`#endif`:        true,
	`#if`:           true,
	`#ifdef`:        true,
	`#ifndef`:       true,
	`#include`:      true,
	`#{`:            true,
	`$`:             true,
	`$"`:            true,
	`$(`:            true,
	`$=`:            true,
	`$@"`:           true,
	`${`:            true,
	`%`:             true,
	`%=`:            true,
	`%i(`:           true,
	`%w(`:           true,
	`&`:             true,
	`&&`:            true,
	`&&=`:           true,
	`&.`:            true,
	`&=`:            true,
	`&>`:            true,
	`&>>`:           true,
	`&^`:            true,
	`&^=`:           true,
	`'`:             true,
	`(`:             true,
	`((`:            true,
	`)`:             true,
	`))`:            true,
	`*`:             true,
	`**`:            true,
	`**=`:           true,
	`*=`:            true,
	`+`:             true,
	`++`:            true,
	`+=`:            true,
	`+@`:            true,
	`,`:             true,
	`-`:             true,
	`--`:            true,
	`-=`:            true,
	`->`:            true,
	`-@`:            true,
	`.`:             true,
	`..`:            true,
	`...`:           true,
	`.=`:            true,
	`/`:             true,
	`//`:            true,
	`//=`:           true,
	`/=`:            true,
	`/>`:            true,
	`:`:             true,
	`:"`:            true,
	`:-`:            true,
	`::`:            true,
	`:=`:            true,
	`:?`:            true,
	`;`:             true,
	`;;`:            true,
	`<`:             true,
	`<!`:            true,
	`<&`:            true,
	`<(`:            true,
	`<-`:            true,
	`</`:            true,
	`<<`:            true,
	`<<-`:           true,
	`<<<`:           true,
	`<<=`:           true,
	`<=`:            true,
	`<=>`:           true,
	`<>`:            true,
	`=`:             true,
	`==`:            true,
	`===`:           true,
	`=>`:            true,
	`=~`:            true,
	`>`:             true,
	`>&`:            true,
	`>(`:            true,
	`>=`:            true,
	`>>`:            true,
	`>>=`:           true,
	`>>>`:           true,
	`>>>=`:          true,
	`?`:             true,
	`?>`:            true,
	`??`:            true,
	`??=`:           true,
	`@`:             true,
	`@=`:            true,
	`@charset`:      true,
	`@import`:       true,
	`@interface`:    true,
	`@keyframes`:    true,
	`@media`:        true,
	`@namespace`:    true,
	`@supports`:     true,
	`BEGIN`:         true,
	`END`:           true,
	`FALSE`:         true,
	`L"`:            true,
	`L'`:            true,
	`NIL`:           true,
	`TRUE`:          true,
	`[`:             true,
	`[[`:            true,
	`[]`:            true,
	`[]=`:           true,
	`\`:             true,
	`]`:             true,
	`]]`:            true,
	`^`:             true,
	`^=`:            true,
	"`":             true,
	`abstract`:      true,
	`add`:           true,
	`alias`:         true,
	`and`:           true,
	`annotation`:    true,
	`any`:           true,
	`argument`:      true,
	`arguments`:     true,
	`array`:         true,
	`as`:            true,
	`ascending`:     true,
	`assembly`:      true,
	`assert`:        true,
	`assignment`:    true,
	`asterisk`:      true,
	`async`:         true,
	`attribute`:     true,
	`auto`:          true,
	`await`:         true,
	`base`:          true,
	`begin`:         true,
	`binary`:        true,
	`block`:         true,
	`bool`:          true,
	`boolean`:       true,
	`break`:         true,
	`by`:            true,
	`byte`:          true,
	`call`:          true,
	`callable`:      true,
	`case`:          true,
	`catch`:         true,
	`chan`:          true,
	`char`:          true,
	`character`:     true,
	`checked`:       true,
	`chevron`:       true,
	`class`:         true,
	`clone`:         true,
	`command`:       true,
	`comment`:       true,
	`complex`:       true,
	`component`:     true,
	`concatenation`: true,
	`conditional`:   true,
	`const`:         true,
	`constant`:      true,
	`constexpr`:     true,
	`constraint`:    true,
	`continue`:      true,
	`debugger`:      true,
	`decimal`:       true,
	`declaration`:   true,
	`declare`:       true,
	`decorator`:     true,
	`def`:           true,
	`default`:       true,
	`defer`:         true,
	`defined?`:      true,
	`del`:           true,
	`delegate`:      true,
	`delete`:        true,
	`descending`:    true,
	`dictionary`:    true,
	`die`:           true,
	`dimensions`:    true,
	`discard`:       true,
	`do`:            true,
	`doctype`:       true,
	`done`:          true,
	`dot`:           true,
	`double`:        true,
	`echo`:          true,
	`element`:       true,
	`elif`:          true,
	`ellipsis`:      true,
	`else`:          true,
	`elseif`:        true,
	`elsif`:         true,
	`empty`:         true,
	`encoding`:      true,
	`end`:           true,
	`enddeclare`:    true,
	`endfor`:        true,
	`endforeach`:    true,
	`endif`:         true,
	`endswitch`:     true,
	`endwhile`:      true,
	`ensure`:        true,
	`enum`:          true,
	`enumerator`:    true,
	`equals`:        true,
	`esac`:          true,
	`eval`:          true,
	`event`:         true,
	`except`:        true,
	`exceptions`:    true,
	`exec`:          true,
	`exit`:          true,
	`expansion`:     true,
	`explicit`:      true,
	`export`:        true,
	`exports`:       true,
	`extends`:       true,
	`extern`:        true,
	`fallthrough`:   true,
	`false`:         true,
	`fi`:            true,
	`field`:         true,
	`final`:         true,
	`finally`:       true,
	`fixed`:         true,
	`float`:         true,
	`for`:           true,
	`foreach`:       true,
	`fragment`:      true,
	`friend`:        true,
	`from`:          true,
	`func`:          true,
	`function`:      true,
	`get`:           true,
	`global`:        true,
	`go`:            true,
	`goto`:          true,
	`group`:         true,
	`hash`:          true,
	`heredoc`:       true,
	`identifier`:    true,
	`if`:            true,
	`implements`:    true,
	`implicit`:      true,
	`import`:        true,
	`important`:     true,
	`in`:            true,
	`include`:       true,
	`inline`:        true,
	`instanceof`:    true,
	`insteadof`:     true,
	`int`:           true,
	`integer`:       true,
	`interface`:     true,
	`internal`:      true,
	`interpolation`: true,
	`into`:          true,
	`is`:            true,
	`isset`:         true,
	`iterable`:      true,
	`join`:          true,
	`keyof`:         true,
	`lambda`:        true,
	`let`:           true,
	`list`:          true,
	`local`:         true,
	`lock`:          true,
	`long`:          true,
	`map`:           true,
	`method`:        true,
	`modifier`:      true,
	`modifiers`:     true,
	`module`:        true,
	`mutable`:       true,
	`name`:          true,
	`namespace`:     true,
	`native`:        true,
	`new`:           true,
	`next`:          true,
	`nil`:           true,
	`noexcept`:      true,
	`none`:          true,
	`nonlocal`:      true,
	`not`:           true,
	`null`:          true,
	`nullptr`:       true,
	`number`:        true,
	`object`:        true,
	`of`:            true,
	`on`:            true,
	`only`:          true,
	`open`:          true,
	`opens`:         true,
	`operator`:      true,
	`or`:            true,
	`orderby`:       true,
	`out`:           true,
	`override`:      true,
	`package`:       true,
	`pair`:          true,
	`param`:         true,
	`parameter`:     true,
	`parameters`:    true,
	`params`:        true,
	`parent`:        true,
	`partial`:       true,
	`pass`:          true,
	`pattern`:       true,
	`pipeline`:      true,
	`print`:         true,
	`private`:       true,
	`program`:       true,
	`property`:      true,
	`protected`:     true,
	`provides`:      true,
	`public`:        true,
	`r`:             true,
	`raise`:         true,
	`range`:         true,
	`rational`:      true,
	`readonly`:      true,
	`real`:          true,
	`redo`:          true,
	`ref`:           true,
	`regex`:         true,
	`register`:      true,
	`remove`:        true,
	`require`:       true,
	`requires`:      true,
	`rescue`:        true,
	`resource`:      true,
	`restrict`:      true,
	`retry`:         true,
	`return`:        true,
	`sbyte`:         true,
	`sealed`:        true,
	`select`:        true,
	`selector`:      true,
	`selectors`:     true,
	`self`:          true,
	`set`:           true,
	`setter`:        true,
	`short`:         true,
	`signed`:        true,
	`sizeof`:        true,
	`slice`:         true,
	`stackalloc`:    true,
	`static`:        true,
	`strictfp`:      true,
	`string`:        true,
	`struct`:        true,
	`stylesheet`:    true,
	`subscript`:     true,
	`subshell`:      true,
	`super`:         true,
	`superclass`:    true,
	`switch`:        true,
	`symbol`:        true,
	`synchronized`:  true,
	`target`:        true,
	`template`:      true,
	`text`:          true,
	`then`:          true,
	`this`:          true,
	`throw`:         true,
	`throws`:        true,
	`ticks`:         true,
	`to`:            true,
	`trait`:         true,
	`transient`:     true,
	`transitive`:    true,
	`true`:          true,
	`try`:           true,
	`tuple`:         true,
	`type`:          true,
	`typedef`:       true,
	`typename`:      true,
	`typeof`:        true,
	`typeset`:       true,
	`uint`:          true,
	`ulong`:         true,
	`unary`:         true,
	`unchecked`:     true,
	`undef`:         true,
	`undefined`:     true,
	`uninterpreted`: true,
	`union`:         true,
	`unit`:          true,
	`unless`:        true,
	`unmanaged`:     true,
	`unsafe`:        true,
	`unset`:         true,
	`unsetenv`:      true,
	`unsigned`:      true,
	`until`:         true,
	`use`:           true,
	`uses`:          true,
	`ushort`:        true,
	`using`:         true,
	`var`:           true,
	`variables`:     true,
	`virtual`:       true,
	`void`:          true,
	`volatile`:      true,
	`when`:          true,
	`where`:         true,
	`while`:         true,
	`wildcard`:      true,
	`with`:          true,
	`word`:          true,
	`xor`:           true,
	`yield`:         true,
	`{`:             true,
	`{{`:            true,
	`{|`:            true,
	`|`:             true,
	`|&`:            true,
	`|=`:            true,
	`||`:            true,
	`||=`:           true,
	`|}`:            true,
	`}`:             true,
	`}}`:            true,
	`~`:             true,
	`~=`:            true,
}
